namespace GameLogic.Combat.Hero.State
{
    public class CombatHeroIdleState : CombatHeroStateBasic
    {
        public CombatHeroIdleState(CombatHeroEntity combatHeroEntity) : base(combatHeroEntity)
        {
            
        }

        protected override void ProEnter()
        {
            combatHeroEntity.combatHeroAnimtion.Play("idle");
        }

        protected override void ProUpdate(float t)
        {
            combatHeroEntity.CombatAIBasic.ChangeState((CombatHeroStateType.move));
            // if()
        }
    }
}